Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4446)
@@ -973,546 +930,546 @@
               stop "getvarup"
            endif
-         print*,'Lecture de la variable #i ',i,name_var(i),resul3
-           endif
-         endif
-!-----------------------------------------------------------------------
-         select case(i)
-         !case(1) ; ap=apbp       ! donnees indexees en nlevel+1
-         ! case(2) ; bp=apbp
-           case(3) ; zzh=apbp
-           case(4) ; pph=apbp
-           case(5) ; temp0=resul1    ! donnees initiales
-           case(6) ; qv0=resul1
-           case(7) ; ql0=resul1
-           case(8) ; qi0=resul1
-           case(9) ; u0=resul1
-           case(10) ; v0=resul1
-           case(11) ; tke0=resul1
-           case(12) ; pp0=resul1
-           case(13) ; vitw=resul    ! donnees indexees en nlevel,time
-           case(14) ; omega=resul
-           case(15) ; ug=resul
-           case(16) ; vg=resul
-           case(17) ; du=resul
-           case(18) ; hu=resul
-           case(19) ; vu=resul
-           case(20) ; dv=resul
-           case(21) ; hv=resul
-           case(22) ; vv=resul
-           case(23) ; dt=resul
-           case(24) ; ht=resul
-           case(25) ; vt=resul
-           case(26) ; dq=resul
-           case(27) ; hq=resul
-           case(28) ; vq=resul
-           case(29) ; dth=resul
-           case(30) ; hth=resul
-           case(31) ; vth=resul
-           case(32) ; hthl=resul
-           case(33) ; dr=resul
-           case(34) ; hr=resul
-           case(35) ; vr=resul
-           case(36) ; dtrad=resul
-           case(37) ; q1=resul
-           case(38) ; q2=resul
-           case(39) ; uw=resul
-           case(40) ; vw=resul
-           case(41) ; rh=resul
-           case(42) ; zz=resul      ! donnees en time,nlevel pour profil initial
-           case(43) ; pp=resul
-           case(44) ; temp=resul
-           case(45) ; theta=resul
-           case(46) ; thv=resul
-           case(47) ; thl=resul
-           case(48) ; qv=resul
-           case(49) ; ql=resul
-           case(50) ; qi=resul
-           case(51) ; rv=resul
-           case(52) ; u=resul
-           case(53) ; v=resul
-           case(54) ; tke=resul
-           case(55) ; sens=resul2   ! donnees indexees en time
-           case(56) ; flat=resul2
-           case(57) ; ts=resul2
-           case(58) ; ps=resul2
-           case(59) ; ustar=resul2
-           case(60) ; orog_cas=resul3      ! constantes
-           case(61) ; albedo_cas=resul3
-           case(62) ; emiss_cas=resul3
-           case(63) ; t_skin_cas=resul3
-           case(64) ; q_skin_cas=resul3
-           case(65) ; mom_rough=resul3
-           case(66) ; heat_rough=resul3
-           case(67) ; o3_cas=resul3        
-           case(68) ; rugos_cas=resul3
-           case(69) ; clay_cas=resul3
-           case(70) ; sand_cas=resul3
-         end select
-         resul=0.
-         resul1=0.
-         resul2=0.
-         resul3=0.
-       enddo
-         print*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
-         print*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
-
-!CR:ATTENTION EN ATTENTE DE REGLER LA QUESTION DU PAS DE TEMPS INITIAL
-       do t=1,ntime
-          do k=1,nlevel
-             temp(k,t)=temp0(k)
-             qv(k,t)=qv0(k)
-             ql(k,t)=ql0(k)
-             qi(k,t)=qi0(k)
-             u(k,t)=u0(k)
-             v(k,t)=v0(k)
-             tke(k,t)=tke0(k)
-          enddo
-       enddo
-!-----------------------------------------------------------------------
-
-         return 
-         end subroutine old_read_SCM
+           print*,'Lecture de la variable #i ',i,name_var(i),resul3
+        endif
+     endif
+     !-----------------------------------------------------------------------
+     select case(i)
+        !case(1) ; ap=apbp       ! donnees indexees en nlevel+1
+        ! case(2) ; bp=apbp
+     case(3) ; zzh=apbp
+     case(4) ; pph=apbp
+     case(5) ; temp0=resul1    ! donnees initiales
+     case(6) ; qv0=resul1
+     case(7) ; ql0=resul1
+     case(8) ; qi0=resul1
+     case(9) ; u0=resul1
+     case(10) ; v0=resul1
+     case(11) ; tke0=resul1
+     case(12) ; pp0=resul1
+     case(13) ; vitw=resul    ! donnees indexees en nlevel,time
+     case(14) ; omega=resul
+     case(15) ; ug=resul
+     case(16) ; vg=resul
+     case(17) ; du=resul
+     case(18) ; hu=resul
+     case(19) ; vu=resul
+     case(20) ; dv=resul
+     case(21) ; hv=resul
+     case(22) ; vv=resul
+     case(23) ; dt=resul
+     case(24) ; ht=resul
+     case(25) ; vt=resul
+     case(26) ; dq=resul
+     case(27) ; hq=resul
+     case(28) ; vq=resul
+     case(29) ; dth=resul
+     case(30) ; hth=resul
+     case(31) ; vth=resul
+     case(32) ; hthl=resul
+     case(33) ; dr=resul
+     case(34) ; hr=resul
+     case(35) ; vr=resul
+     case(36) ; dtrad=resul
+     case(37) ; q1=resul
+     case(38) ; q2=resul
+     case(39) ; uw=resul
+     case(40) ; vw=resul
+     case(41) ; rh=resul
+     case(42) ; zz=resul      ! donnees en time,nlevel pour profil initial
+     case(43) ; pp=resul
+     case(44) ; temp=resul
+     case(45) ; theta=resul
+     case(46) ; thv=resul
+     case(47) ; thl=resul
+     case(48) ; qv=resul
+     case(49) ; ql=resul
+     case(50) ; qi=resul
+     case(51) ; rv=resul
+     case(52) ; u=resul
+     case(53) ; v=resul
+     case(54) ; tke=resul
+     case(55) ; sens=resul2   ! donnees indexees en time
+     case(56) ; flat=resul2
+     case(57) ; ts=resul2
+     case(58) ; ps=resul2
+     case(59) ; ustar=resul2
+     case(60) ; orog_cas=resul3      ! constantes
+     case(61) ; albedo_cas=resul3
+     case(62) ; emiss_cas=resul3
+     case(63) ; t_skin_cas=resul3
+     case(64) ; q_skin_cas=resul3
+     case(65) ; mom_rough=resul3
+     case(66) ; heat_rough=resul3
+     case(67) ; o3_cas=resul3        
+     case(68) ; rugos_cas=resul3
+     case(69) ; clay_cas=resul3
+     case(70) ; sand_cas=resul3
+     end select
+     resul=0.
+     resul1=0.
+     resul2=0.
+     resul3=0.
+  enddo
+  print*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
+  print*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
+
+  !CR:ATTENTION EN ATTENTE DE REGLER LA QUESTION DU PAS DE TEMPS INITIAL
+  do t=1,ntime
+     do k=1,nlevel
+        temp(k,t)=temp0(k)
+        qv(k,t)=qv0(k)
+        ql(k,t)=ql0(k)
+        qi(k,t)=qi0(k)
+        u(k,t)=u0(k)
+        v(k,t)=v0(k)
+        tke(k,t)=tke0(k)
+     enddo
+  enddo
+  !-----------------------------------------------------------------------
+
+  return 
+end subroutine old_read_SCM
 !======================================================================
 
 !======================================================================
-        SUBROUTINE interp_case_time2(day,day1,annee_ref                &
-!    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas      &
-     &         ,nt_cas,nlev_cas                                       &
-     &         ,ts_cas,ps_cas,plev_cas,t_cas,q_cas,u_cas,v_cas               &
-     &         ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas           &
-     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas   &
-     &         ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas,ustar_cas       &
-     &         ,uw_cas,vw_cas,q1_cas,q2_cas                           &
-     &         ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas       &
-     &         ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas         &
-     &         ,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas     &
-     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas       &
-     &         ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas    &
-     &         ,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas    &
-     &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
-          
-
-        implicit none
-
-!---------------------------------------------------------------------------------------
-! Time interpolation of a 2D field to the timestep corresponding to day
-!
-! day: current julian day (e.g. 717538.2)
-! day1: first day of the simulation
-! nt_cas: total nb of data in the forcing 
-! pdt_cas: total time interval (in sec) between 2 forcing data
-!---------------------------------------------------------------------------------------
+SUBROUTINE interp_case_time2(day,day1,annee_ref                &
+     !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas      &
+     ,nt_cas,nlev_cas                                       &
+     ,ts_cas,ps_cas,plev_cas,t_cas,q_cas,u_cas,v_cas               &
+     ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas           &
+     ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas   &
+     ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas,ustar_cas       &
+     ,uw_cas,vw_cas,q1_cas,q2_cas                           &
+     ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas       &
+     ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas         &
+     ,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas     &
+     ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas       &
+     ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas    &
+     ,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas    &
+     ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
+
+
+  implicit none
+
+  !---------------------------------------------------------------------------------------
+  ! Time interpolation of a 2D field to the timestep corresponding to day
+  !
+  ! day: current julian day (e.g. 717538.2)
+  ! day1: first day of the simulation
+  ! nt_cas: total nb of data in the forcing 
+  ! pdt_cas: total time interval (in sec) between 2 forcing data
+  !---------------------------------------------------------------------------------------
 
 #include "compar1d.h"
 #include "date_cas.h"
 
-! inputs:
-        integer annee_ref
-        integer nt_cas,nlev_cas
-        real day, day1,day_cas
-        real ts_cas(nt_cas),ps_cas(nt_cas)
-        real plev_cas(nlev_cas,nt_cas)
-        real t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas)
-        real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
-        real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
-        real vitw_cas(nlev_cas,nt_cas)
-        real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
-        real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
-        real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
-        real dtrad_cas(nlev_cas,nt_cas)
-        real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
-        real lat_cas(nt_cas)
-        real sens_cas(nt_cas)
-        real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
-        real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
-
-! outputs:
-        real plev_prof_cas(nlev_cas)
-        real t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
-        real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-        real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
-        real vitw_prof_cas(nlev_cas)
-        real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-        real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-        real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
-        real dtrad_prof_cas(nlev_cas)
-        real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-        real lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
-        real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
-! local:
-        integer it_cas1, it_cas2,k
-        real timeit,time_cas1,time_cas2,frac
-
-
-        print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
-
-! On teste si la date du cas AMMA est correcte.
-! C est pour memoire car en fait les fichiers .def
-! sont censes etre corrects.
-! A supprimer a terme (MPL 20150623)
-!     if ((forcing_type.eq.10).and.(1.eq.0)) then
-! Check that initial day of the simulation consistent with AMMA case:
-!      if (annee_ref.ne.2006) then
-!       print*,'Pour AMMA, annee_ref doit etre 2006'
-!       print*,'Changer annee_ref dans run.def'
-!       stop
-!      endif
-!      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
-!       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
-!       print*,'Changer dayref dans run.def'
-!       stop
-!      endif
-!      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
-!       print*,'AMMA a fini le 11 juillet'
-!       print*,'Changer dayref ou nday dans run.def'
-!       stop
-!      endif
-!      endif
-
-! Determine timestep relative to the 1st day:
-!       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
-!        timeit=(day-day_cas)*86400.
-!       else
-!        timeit=(day+61.-1.)*86400. ! 61 days between Nov01 and Dec31 1992
-!       endif
-      timeit=(day-day_ju_ini_cas)*86400
-      print *,'day=',day
-      print *,'day_ju_ini_cas=',day_ju_ini_cas
-      print *,'pdt_cas=',pdt_cas
-      print *,'timeit=',timeit
-      print *,'nt_cas=',nt_cas
-
-! Determine the closest observation times:
-!       it_cas1=INT(timeit/pdt_cas)+1
-!       it_cas2=it_cas1 + 1
-!       time_cas1=(it_cas1-1)*pdt_cas
-!       time_cas2=(it_cas2-1)*pdt_cas
-
-       it_cas1=INT(timeit/pdt_cas)+1
-       IF (it_cas1 .EQ. nt_cas) THEN
-       it_cas2=it_cas1 
-       ELSE
-       it_cas2=it_cas1 + 1
-       ENDIF
-       time_cas1=(it_cas1-1)*pdt_cas
-       time_cas2=(it_cas2-1)*pdt_cas
-       print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
-
-       if (it_cas1 .gt. nt_cas) then
-        write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
-     &        ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
-        stop
-       endif
-
-! time interpolation:
-       IF (it_cas1 .EQ. it_cas2) THEN
-          frac=0.
-       ELSE
-          frac=(time_cas2-timeit)/(time_cas2-time_cas1)
-          frac=max(frac,0.0)
-       ENDIF
-
-       lat_prof_cas = lat_cas(it_cas2)                                       &
-     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
-       sens_prof_cas = sens_cas(it_cas2)                                     &
-     &          -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
-       ts_prof_cas = ts_cas(it_cas2)                                         &
-     &          -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
-       ustar_prof_cas = ustar_cas(it_cas2)                                   &
-     &          -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
-
-       do k=1,nlev_cas
-        plev_prof_cas(k) = plev_cas(k,it_cas2)                               &
-     &          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
-        t_prof_cas(k) = t_cas(k,it_cas2)                               &
-     &          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
-        q_prof_cas(k) = q_cas(k,it_cas2)                               &
-     &          -frac*(q_cas(k,it_cas2)-q_cas(k,it_cas1))
-        u_prof_cas(k) = u_cas(k,it_cas2)                               &
-     &          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
-        v_prof_cas(k) = v_cas(k,it_cas2)                               &
-     &          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
-        ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
-     &          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
-        vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
-     &          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
-        vitw_prof_cas(k) = vitw_cas(k,it_cas2)                               &
-     &          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
-        du_prof_cas(k) = du_cas(k,it_cas2)                                   &
-     &          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
-        hu_prof_cas(k) = hu_cas(k,it_cas2)                                   &
-     &          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
-        vu_prof_cas(k) = vu_cas(k,it_cas2)                                   &
-     &          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
-        dv_prof_cas(k) = dv_cas(k,it_cas2)                                   &
-     &          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
-        hv_prof_cas(k) = hv_cas(k,it_cas2)                                   &
-     &          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
-        vv_prof_cas(k) = vv_cas(k,it_cas2)                                   &
-     &          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
-        dt_prof_cas(k) = dt_cas(k,it_cas2)                                   &
-     &          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
-        ht_prof_cas(k) = ht_cas(k,it_cas2)                                   &
-     &          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
-        vt_prof_cas(k) = vt_cas(k,it_cas2)                                   &
-     &          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
-        dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                                   &
-     &          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
-        dq_prof_cas(k) = dq_cas(k,it_cas2)                                   &
-     &          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
-        hq_prof_cas(k) = hq_cas(k,it_cas2)                                   &
-     &          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
-        vq_prof_cas(k) = vq_cas(k,it_cas2)                                   &
-     &          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
-       uw_prof_cas(k) = uw_cas(k,it_cas2)                                   &
-     &          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
-       vw_prof_cas(k) = vw_cas(k,it_cas2)                                   &
-     &          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
-       q1_prof_cas(k) = q1_cas(k,it_cas2)                                   &
-     &          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
-       q2_prof_cas(k) = q2_cas(k,it_cas2)                                   &
-     &          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
-        enddo
-
-        return
-        END SUBROUTINE interp_case_time2
+  ! inputs:
+  integer annee_ref
+  integer nt_cas,nlev_cas
+  real day, day1,day_cas
+  real ts_cas(nt_cas),ps_cas(nt_cas)
+  real plev_cas(nlev_cas,nt_cas)
+  real t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas)
+  real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
+  real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
+  real vitw_cas(nlev_cas,nt_cas)
+  real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
+  real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
+  real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
+  real dtrad_cas(nlev_cas,nt_cas)
+  real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
+  real lat_cas(nt_cas)
+  real sens_cas(nt_cas)
+  real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
+  real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
+
+  ! outputs:
+  real plev_prof_cas(nlev_cas)
+  real t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
+  real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
+  real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
+  real vitw_prof_cas(nlev_cas)
+  real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
+  real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
+  real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
+  real dtrad_prof_cas(nlev_cas)
+  real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
+  real lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
+  real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
+  ! local:
+  integer it_cas1, it_cas2,k
+  real timeit,time_cas1,time_cas2,frac
+
+
+  print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+
+  ! On teste si la date du cas AMMA est correcte.
+  ! C est pour memoire car en fait les fichiers .def
+  ! sont censes etre corrects.
+  ! A supprimer a terme (MPL 20150623)
+  !     if ((forcing_type.eq.10).and.(1.eq.0)) then
+  ! Check that initial day of the simulation consistent with AMMA case:
+  !      if (annee_ref.ne.2006) then
+  !       print*,'Pour AMMA, annee_ref doit etre 2006'
+  !       print*,'Changer annee_ref dans run.def'
+  !       stop
+  !      endif
+  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
+  !       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
+  !       print*,'Changer dayref dans run.def'
+  !       stop
+  !      endif
+  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
+  !       print*,'AMMA a fini le 11 juillet'
+  !       print*,'Changer dayref ou nday dans run.def'
+  !       stop
+  !      endif
+  !      endif
+
+  ! Determine timestep relative to the 1st day:
+  !       timeit=(day-day1)*86400.
+  !       if (annee_ref.eq.1992) then
+  !        timeit=(day-day_cas)*86400.
+  !       else
+  !        timeit=(day+61.-1.)*86400. ! 61 days between Nov01 and Dec31 1992
+  !       endif
+  timeit=(day-day_ju_ini_cas)*86400
+  print *,'day=',day
+  print *,'day_ju_ini_cas=',day_ju_ini_cas
+  print *,'pdt_cas=',pdt_cas
+  print *,'timeit=',timeit
+  print *,'nt_cas=',nt_cas
+
+  ! Determine the closest observation times:
+  !       it_cas1=INT(timeit/pdt_cas)+1
+  !       it_cas2=it_cas1 + 1
+  !       time_cas1=(it_cas1-1)*pdt_cas
+  !       time_cas2=(it_cas2-1)*pdt_cas
+
+  it_cas1=INT(timeit/pdt_cas)+1
+  IF (it_cas1 .EQ. nt_cas) THEN
+     it_cas2=it_cas1 
+  ELSE
+     it_cas2=it_cas1 + 1
+  ENDIF
+  time_cas1=(it_cas1-1)*pdt_cas
+  time_cas2=(it_cas2-1)*pdt_cas
+  print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+
+  if (it_cas1 .gt. nt_cas) then
+     write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+          ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
+     stop
+  endif
+
+  ! time interpolation:
+  IF (it_cas1 .EQ. it_cas2) THEN
+     frac=0.
+  ELSE
+     frac=(time_cas2-timeit)/(time_cas2-time_cas1)
+     frac=max(frac,0.0)
+  ENDIF
+
+  lat_prof_cas = lat_cas(it_cas2)                                       &
+       -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+  sens_prof_cas = sens_cas(it_cas2)                                     &
+       -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
+  ts_prof_cas = ts_cas(it_cas2)                                         &
+       -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
+  ustar_prof_cas = ustar_cas(it_cas2)                                   &
+       -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
+
+  do k=1,nlev_cas
+     plev_prof_cas(k) = plev_cas(k,it_cas2)                               &
+          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
+     t_prof_cas(k) = t_cas(k,it_cas2)                               &
+          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
+     q_prof_cas(k) = q_cas(k,it_cas2)                               &
+          -frac*(q_cas(k,it_cas2)-q_cas(k,it_cas1))
+     u_prof_cas(k) = u_cas(k,it_cas2)                               &
+          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
+     v_prof_cas(k) = v_cas(k,it_cas2)                               &
+          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
+     ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
+          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
+     vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
+          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
+     vitw_prof_cas(k) = vitw_cas(k,it_cas2)                               &
+          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
+     du_prof_cas(k) = du_cas(k,it_cas2)                                   &
+          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
+     hu_prof_cas(k) = hu_cas(k,it_cas2)                                   &
+          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
+     vu_prof_cas(k) = vu_cas(k,it_cas2)                                   &
+          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
+     dv_prof_cas(k) = dv_cas(k,it_cas2)                                   &
+          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
+     hv_prof_cas(k) = hv_cas(k,it_cas2)                                   &
+          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
+     vv_prof_cas(k) = vv_cas(k,it_cas2)                                   &
+          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
+     dt_prof_cas(k) = dt_cas(k,it_cas2)                                   &
+          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
+     ht_prof_cas(k) = ht_cas(k,it_cas2)                                   &
+          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
+     vt_prof_cas(k) = vt_cas(k,it_cas2)                                   &
+          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
+     dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                                   &
+          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
+     dq_prof_cas(k) = dq_cas(k,it_cas2)                                   &
+          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
+     hq_prof_cas(k) = hq_cas(k,it_cas2)                                   &
+          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
+     vq_prof_cas(k) = vq_cas(k,it_cas2)                                   &
+          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
+     uw_prof_cas(k) = uw_cas(k,it_cas2)                                   &
+          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
+     vw_prof_cas(k) = vw_cas(k,it_cas2)                                   &
+          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
+     q1_prof_cas(k) = q1_cas(k,it_cas2)                                   &
+          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
+     q2_prof_cas(k) = q2_cas(k,it_cas2)                                   &
+          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
+  enddo
+
+  return
+END SUBROUTINE interp_case_time2
 
 !**********************************************************************************************
-        SUBROUTINE interp2_case_time(day,day1,annee_ref                           &
-!    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas                         &
-     &         ,nt_cas,nlev_cas                                                   &
-     &         ,ts_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
-     &         ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
-     &         ,ug_cas,vg_cas,vitw_cas,omega_cas,du_cas,hu_cas,vu_cas             &
-     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
-     &         ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
-     &         ,lat_cas,sens_cas,ustar_cas                                        &
-     &         ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                               &
-!
-     &         ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
-     &         ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
-     &         ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
-     &         ,vitw_prof_cas,omega_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
-     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
-     &         ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
-     &         ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
-     &         ,lat_prof_cas,sens_prof_cas                                        &
-     &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
-          
-
-        implicit none
-
-!---------------------------------------------------------------------------------------
-! Time interpolation of a 2D field to the timestep corresponding to day
-!
-! day: current julian day (e.g. 717538.2)
-! day1: first day of the simulation
-! nt_cas: total nb of data in the forcing 
-! pdt_cas: total time interval (in sec) between 2 forcing data
-!---------------------------------------------------------------------------------------
+SUBROUTINE interp2_case_time(day,day1,annee_ref                           &
+     !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas                         &
+     ,nt_cas,nlev_cas                                                   &
+     ,ts_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
+     ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
+     ,ug_cas,vg_cas,vitw_cas,omega_cas,du_cas,hu_cas,vu_cas             &
+     ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
+     ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
+     ,lat_cas,sens_cas,ustar_cas                                        &
+     ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                               &
+     !
+     ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
+     ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
+     ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
+     ,vitw_prof_cas,omega_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
+     ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
+     ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
+     ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
+     ,lat_prof_cas,sens_prof_cas                                        &
+     ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
+
+
+  implicit none
+
+  !---------------------------------------------------------------------------------------
+  ! Time interpolation of a 2D field to the timestep corresponding to day
+  !
+  ! day: current julian day (e.g. 717538.2)
+  ! day1: first day of the simulation
+  ! nt_cas: total nb of data in the forcing 
+  ! pdt_cas: total time interval (in sec) between 2 forcing data
+  !---------------------------------------------------------------------------------------
 
 #include "compar1d.h"
 #include "date_cas.h"
 
-! inputs:
-        integer annee_ref
-        integer nt_cas,nlev_cas
-        real day, day1,day_cas
-        real ts_cas(nt_cas),ps_cas(nt_cas)
-        real plev_cas(nlev_cas,nt_cas)
-        real t_cas(nlev_cas,nt_cas),theta_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas)
-        real qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas),qi_cas(nlev_cas,nt_cas)
-        real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
-        real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
-        real vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas)
-        real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
-        real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
-        real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
-        real dth_cas(nlev_cas,nt_cas),hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas)
-        real dtrad_cas(nlev_cas,nt_cas)
-        real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
-        real lat_cas(nt_cas),sens_cas(nt_cas),tke_cas(nt_cas)
-        real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
-        real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
-
-! outputs:
-        real plev_prof_cas(nlev_cas)
-        real t_prof_cas(nlev_cas),theta_prof_cas(nlev_cas),thl_prof_cas(nlev_cas),thv_prof_cas(nlev_cas)
-        real qv_prof_cas(nlev_cas),ql_prof_cas(nlev_cas),qi_prof_cas(nlev_cas)
-        real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-        real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
-        real vitw_prof_cas(nlev_cas),omega_prof_cas(nlev_cas)
-        real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-        real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-        real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
-        real dth_prof_cas(nlev_cas),hth_prof_cas(nlev_cas),vth_prof_cas(nlev_cas)
-        real dtrad_prof_cas(nlev_cas)
-        real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-        real lat_prof_cas,sens_prof_cas,tke_prof_cas,ts_prof_cas,ustar_prof_cas
-        real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
-! local:
-        integer it_cas1, it_cas2,k
-        real timeit,time_cas1,time_cas2,frac
-
-
-        print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
-!       do k=1,nlev_cas
-!       print*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
-!       enddo
-
-! On teste si la date du cas AMMA est correcte.
-! C est pour memoire car en fait les fichiers .def
-! sont censes etre corrects.
-! A supprimer a terme (MPL 20150623)
-!     if ((forcing_type.eq.10).and.(1.eq.0)) then
-! Check that initial day of the simulation consistent with AMMA case:
-!      if (annee_ref.ne.2006) then
-!       print*,'Pour AMMA, annee_ref doit etre 2006'
-!       print*,'Changer annee_ref dans run.def'
-!       stop
-!      endif
-!      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
-!       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
-!       print*,'Changer dayref dans run.def'
-!       stop
-!      endif
-!      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
-!       print*,'AMMA a fini le 11 juillet'
-!       print*,'Changer dayref ou nday dans run.def'
-!       stop
-!      endif
-!      endif
-
-! Determine timestep relative to the 1st day:
-!       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
-!        timeit=(day-day_cas)*86400.
-!       else
-!        timeit=(day+61.-1.)*86400. ! 61 days between Nov01 and Dec31 1992
-!       endif
-      timeit=(day-day_ju_ini_cas)*86400
-      print *,'day=',day
-      print *,'day_ju_ini_cas=',day_ju_ini_cas
-      print *,'pdt_cas=',pdt_cas
-      print *,'timeit=',timeit
-      print *,'nt_cas=',nt_cas
-
-! Determine the closest observation times:
-!       it_cas1=INT(timeit/pdt_cas)+1
-!       it_cas2=it_cas1 + 1
-!       time_cas1=(it_cas1-1)*pdt_cas
-!       time_cas2=(it_cas2-1)*pdt_cas
-
-       it_cas1=INT(timeit/pdt_cas)+1
-       IF (it_cas1 .EQ. nt_cas) THEN
-       it_cas2=it_cas1 
-       ELSE
-       it_cas2=it_cas1 + 1
-       ENDIF
-       time_cas1=(it_cas1-1)*pdt_cas
-       time_cas2=(it_cas2-1)*pdt_cas
-      print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
-      print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
-
-       if (it_cas1 .gt. nt_cas) then 
-        write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
-     &        ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
-        stop
-       endif
-
-! time interpolation:
-       IF (it_cas1 .EQ. it_cas2) THEN
-          frac=0.
-       ELSE
-          frac=(time_cas2-timeit)/(time_cas2-time_cas1)
-          frac=max(frac,0.0)
-       ENDIF
-
-       lat_prof_cas = lat_cas(it_cas2)                                   &
-     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
-       sens_prof_cas = sens_cas(it_cas2)                                 &
-     &          -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
-       tke_prof_cas = tke_cas(it_cas2)                                   &
-     &          -frac*(tke_cas(it_cas2)-tke_cas(it_cas1))
-       ts_prof_cas = ts_cas(it_cas2)                                     &
-     &          -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
-       ustar_prof_cas = ustar_cas(it_cas2)                               &
-     &          -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
-
-       do k=1,nlev_cas
-        plev_prof_cas(k) = plev_cas(k,it_cas2)                           &     
-     &          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
-        t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
-     &          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
-        print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
-        theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
-     &          -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
-        thv_prof_cas(k) = thv_cas(k,it_cas2)                             &          
-     &          -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
-        thl_prof_cas(k) = thl_cas(k,it_cas2)                             &              
-     &          -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
-        qv_prof_cas(k) = qv_cas(k,it_cas2)                               &
-     &          -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
-        ql_prof_cas(k) = ql_cas(k,it_cas2)                               &
-     &          -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
-        qi_prof_cas(k) = qi_cas(k,it_cas2)                               &
-     &          -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
-        u_prof_cas(k) = u_cas(k,it_cas2)                                 &
-     &          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
-        v_prof_cas(k) = v_cas(k,it_cas2)                                 &
-     &          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
-        ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
-     &          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
-        vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
-     &          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
-        vitw_prof_cas(k) = vitw_cas(k,it_cas2)                           &
-     &          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
-        omega_prof_cas(k) = omega_cas(k,it_cas2)                         &
-     &          -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
-        du_prof_cas(k) = du_cas(k,it_cas2)                               &
-     &          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
-        hu_prof_cas(k) = hu_cas(k,it_cas2)                               &
-     &          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
-        vu_prof_cas(k) = vu_cas(k,it_cas2)                               &
-     &          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
-        dv_prof_cas(k) = dv_cas(k,it_cas2)                               &
-     &          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
-        hv_prof_cas(k) = hv_cas(k,it_cas2)                               &
-     &          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
-        vv_prof_cas(k) = vv_cas(k,it_cas2)                               &
-     &          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
-        dt_prof_cas(k) = dt_cas(k,it_cas2)                               &
-     &          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
-        ht_prof_cas(k) = ht_cas(k,it_cas2)                               &
-     &          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
-        vt_prof_cas(k) = vt_cas(k,it_cas2)                               &
-     &          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
-        dth_prof_cas(k) = dth_cas(k,it_cas2)                             &
-     &          -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
-        hth_prof_cas(k) = hth_cas(k,it_cas2)                             &
-     &          -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
-        vth_prof_cas(k) = vth_cas(k,it_cas2)                             &
-     &          -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
-        dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                         &
-     &          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
-        dq_prof_cas(k) = dq_cas(k,it_cas2)                               &
-     &          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
-        hq_prof_cas(k) = hq_cas(k,it_cas2)                               &
-     &          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
-        vq_prof_cas(k) = vq_cas(k,it_cas2)                               &
-     &          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
-       uw_prof_cas(k) = uw_cas(k,it_cas2)                                &
-     &          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
-       vw_prof_cas(k) = vw_cas(k,it_cas2)                                &
-     &          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
-       q1_prof_cas(k) = q1_cas(k,it_cas2)                                &
-     &          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
-       q2_prof_cas(k) = q2_cas(k,it_cas2)                                &
-     &          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
-        enddo
-
-        return
-        END SUBROUTINE interp2_case_time
+  ! inputs:
+  integer annee_ref
+  integer nt_cas,nlev_cas
+  real day, day1,day_cas
+  real ts_cas(nt_cas),ps_cas(nt_cas)
+  real plev_cas(nlev_cas,nt_cas)
+  real t_cas(nlev_cas,nt_cas),theta_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas)
+  real qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas),qi_cas(nlev_cas,nt_cas)
+  real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
+  real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
+  real vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas)
+  real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
+  real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
+  real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
+  real dth_cas(nlev_cas,nt_cas),hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas)
+  real dtrad_cas(nlev_cas,nt_cas)
+  real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
+  real lat_cas(nt_cas),sens_cas(nt_cas),tke_cas(nt_cas)
+  real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
+  real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
+
+  ! outputs:
+  real plev_prof_cas(nlev_cas)
+  real t_prof_cas(nlev_cas),theta_prof_cas(nlev_cas),thl_prof_cas(nlev_cas),thv_prof_cas(nlev_cas)
+  real qv_prof_cas(nlev_cas),ql_prof_cas(nlev_cas),qi_prof_cas(nlev_cas)
+  real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
+  real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
+  real vitw_prof_cas(nlev_cas),omega_prof_cas(nlev_cas)
+  real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
+  real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
+  real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
+  real dth_prof_cas(nlev_cas),hth_prof_cas(nlev_cas),vth_prof_cas(nlev_cas)
+  real dtrad_prof_cas(nlev_cas)
+  real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
+  real lat_prof_cas,sens_prof_cas,tke_prof_cas,ts_prof_cas,ustar_prof_cas
+  real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
+  ! local:
+  integer it_cas1, it_cas2,k
+  real timeit,time_cas1,time_cas2,frac
+
+
+  print*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+  !       do k=1,nlev_cas
+  !       print*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
+  !       enddo
+
+  ! On teste si la date du cas AMMA est correcte.
+  ! C est pour memoire car en fait les fichiers .def
+  ! sont censes etre corrects.
+  ! A supprimer a terme (MPL 20150623)
+  !     if ((forcing_type.eq.10).and.(1.eq.0)) then
+  ! Check that initial day of the simulation consistent with AMMA case:
+  !      if (annee_ref.ne.2006) then
+  !       print*,'Pour AMMA, annee_ref doit etre 2006'
+  !       print*,'Changer annee_ref dans run.def'
+  !       stop
+  !      endif
+  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
+  !       print*,'AMMA a debute le 10 juillet 2006',day1,day_cas
+  !       print*,'Changer dayref dans run.def'
+  !       stop
+  !      endif
+  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
+  !       print*,'AMMA a fini le 11 juillet'
+  !       print*,'Changer dayref ou nday dans run.def'
+  !       stop
+  !      endif
+  !      endif
+
+  ! Determine timestep relative to the 1st day:
+  !       timeit=(day-day1)*86400.
+  !       if (annee_ref.eq.1992) then
+  !        timeit=(day-day_cas)*86400.
+  !       else
+  !        timeit=(day+61.-1.)*86400. ! 61 days between Nov01 and Dec31 1992
+  !       endif
+  timeit=(day-day_ju_ini_cas)*86400
+  print *,'day=',day
+  print *,'day_ju_ini_cas=',day_ju_ini_cas
+  print *,'pdt_cas=',pdt_cas
+  print *,'timeit=',timeit
+  print *,'nt_cas=',nt_cas
+
+  ! Determine the closest observation times:
+  !       it_cas1=INT(timeit/pdt_cas)+1
+  !       it_cas2=it_cas1 + 1
+  !       time_cas1=(it_cas1-1)*pdt_cas
+  !       time_cas2=(it_cas2-1)*pdt_cas
+
+  it_cas1=INT(timeit/pdt_cas)+1
+  IF (it_cas1 .EQ. nt_cas) THEN
+     it_cas2=it_cas1 
+  ELSE
+     it_cas2=it_cas1 + 1
+  ENDIF
+  time_cas1=(it_cas1-1)*pdt_cas
+  time_cas2=(it_cas2-1)*pdt_cas
+  print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
+  print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+
+  if (it_cas1 .gt. nt_cas) then 
+     write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+          ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
+     stop
+  endif
+
+  ! time interpolation:
+  IF (it_cas1 .EQ. it_cas2) THEN
+     frac=0.
+  ELSE
+     frac=(time_cas2-timeit)/(time_cas2-time_cas1)
+     frac=max(frac,0.0)
+  ENDIF
+
+  lat_prof_cas = lat_cas(it_cas2)                                   &
+       -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+  sens_prof_cas = sens_cas(it_cas2)                                 &
+       -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
+  tke_prof_cas = tke_cas(it_cas2)                                   &
+       -frac*(tke_cas(it_cas2)-tke_cas(it_cas1))
+  ts_prof_cas = ts_cas(it_cas2)                                     &
+       -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
+  ustar_prof_cas = ustar_cas(it_cas2)                               &
+       -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
+
+  do k=1,nlev_cas
+     plev_prof_cas(k) = plev_cas(k,it_cas2)                           &     
+          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
+     t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
+          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
+     print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
+     theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
+          -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
+     thv_prof_cas(k) = thv_cas(k,it_cas2)                             &          
+          -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
+     thl_prof_cas(k) = thl_cas(k,it_cas2)                             &              
+          -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
+     qv_prof_cas(k) = qv_cas(k,it_cas2)                               &
+          -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
+     ql_prof_cas(k) = ql_cas(k,it_cas2)                               &
+          -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
+     qi_prof_cas(k) = qi_cas(k,it_cas2)                               &
+          -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
+     u_prof_cas(k) = u_cas(k,it_cas2)                                 &
+          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
+     v_prof_cas(k) = v_cas(k,it_cas2)                                 &
+          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
+     ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
+          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
+     vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
+          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
+     vitw_prof_cas(k) = vitw_cas(k,it_cas2)                           &
+          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
+     omega_prof_cas(k) = omega_cas(k,it_cas2)                         &
+          -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
+     du_prof_cas(k) = du_cas(k,it_cas2)                               &
+          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
+     hu_prof_cas(k) = hu_cas(k,it_cas2)                               &
+          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
+     vu_prof_cas(k) = vu_cas(k,it_cas2)                               &
+          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
+     dv_prof_cas(k) = dv_cas(k,it_cas2)                               &
+          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
+     hv_prof_cas(k) = hv_cas(k,it_cas2)                               &
+          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
+     vv_prof_cas(k) = vv_cas(k,it_cas2)                               &
+          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
+     dt_prof_cas(k) = dt_cas(k,it_cas2)                               &
+          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
+     ht_prof_cas(k) = ht_cas(k,it_cas2)                               &
+          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
+     vt_prof_cas(k) = vt_cas(k,it_cas2)                               &
+          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
+     dth_prof_cas(k) = dth_cas(k,it_cas2)                             &
+          -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
+     hth_prof_cas(k) = hth_cas(k,it_cas2)                             &
+          -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
+     vth_prof_cas(k) = vth_cas(k,it_cas2)                             &
+          -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
+     dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                         &
+          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
+     dq_prof_cas(k) = dq_cas(k,it_cas2)                               &
+          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
+     hq_prof_cas(k) = hq_cas(k,it_cas2)                               &
+          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
+     vq_prof_cas(k) = vq_cas(k,it_cas2)                               &
+          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
+     uw_prof_cas(k) = uw_cas(k,it_cas2)                                &
+          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
+     vw_prof_cas(k) = vw_cas(k,it_cas2)                                &
+          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
+     q1_prof_cas(k) = q1_cas(k,it_cas2)                                &
+          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
+     q2_prof_cas(k) = q2_cas(k,it_cas2)                                &
+          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
+  enddo
+
+  return
+END SUBROUTINE interp2_case_time
 
 !**********************************************************************************************
